public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ulrich Müller" <ulm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-apps/nikola/
Date: Wed, 29 Mar 2023 18:38:38 +0000 (UTC)	[thread overview]
Message-ID: <1680115104.0647246077c3d39a0036fad725f76c47e8f167ff.ulm@gentoo> (raw)

commit:     0647246077c3d39a0036fad725f76c47e8f167ff
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 29 18:36:15 2023 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Wed Mar 29 18:38:24 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06472460

www-apps/nikola: Install bash and zsh completion files

Closes: https://bugs.gentoo.org/879195
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 www-apps/nikola/nikola-8.2.3-r2.ebuild | 67 ++++++++++++++++++++++++++++++++++
 1 file changed, 67 insertions(+)

diff --git a/www-apps/nikola/nikola-8.2.3-r2.ebuild b/www-apps/nikola/nikola-8.2.3-r2.ebuild
new file mode 100644
index 000000000000..93ffb6d32eea
--- /dev/null
+++ b/www-apps/nikola/nikola-8.2.3-r2.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{9,10,11} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit bash-completion-r1 distutils-r1 optfeature pypi
+
+DESCRIPTION="A static website and blog generator"
+HOMEPAGE="https://getnikola.com/"
+SRC_URI="$(pypi_sdist_url --no-normalize ${PN^} ${PV})"
+S="${WORKDIR}/${P^}"
+
+LICENSE="MIT Apache-2.0 CC0-1.0 public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+RESTRICT="test" # needs coveralls
+
+BDEPEND=">=dev-python/docutils-0.13[${PYTHON_USEDEP}]" # needs rst2man to build manpage
+RDEPEND="${BDEPEND}
+	>=dev-python/Babel-2.6.0[${PYTHON_USEDEP}]
+	>=dev-python/blinker-1.3[${PYTHON_USEDEP}]
+	>=dev-python/doit-0.32[${PYTHON_USEDEP}]
+	>=dev-python/lxml-3.3.5[${PYTHON_USEDEP}]
+	>=dev-python/mako-1.0[${PYTHON_USEDEP}]
+	>=dev-python/markdown-3.0.0[${PYTHON_USEDEP}]
+	>=dev-python/natsort-3.5.2[${PYTHON_USEDEP}]
+	>=dev-python/piexif-1.0.3[${PYTHON_USEDEP}]
+	>=dev-python/pygments-1.6[${PYTHON_USEDEP}]
+	>=dev-python/PyRSS2Gen-1.1[${PYTHON_USEDEP}]
+	>=dev-python/python-dateutil-2.6.0[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.2.0[${PYTHON_USEDEP}]
+	>=dev-python/setuptools-67.2.0[${PYTHON_USEDEP}]
+	>=dev-python/unidecode-0.04.16[${PYTHON_USEDEP}]
+	>=dev-python/yapsy-1.11.223[${PYTHON_USEDEP}]
+	dev-python/pillow[jpeg,${PYTHON_USEDEP}]
+	dev-python/cloudpickle[${PYTHON_USEDEP}]"
+
+python_compile_all() {
+	nikola tabcompletion --shell=bash > ${PN}.bashcomp || die
+	nikola tabcompletion --shell=zsh > ${PN}.zshcomp || die
+}
+
+src_install() {
+	distutils-r1_src_install
+
+	# hackish way to remove docs that ended up in the wrong place
+	rm -r "${ED}/usr/share/doc/${PN}" || die
+
+	dodoc AUTHORS.txt CHANGES.txt README.rst docs/*.rst
+	gunzip "${ED}/usr/share/man/man1/${PN}.1.gz" || die
+
+	newbashcomp ${PN}.bashcomp ${PN}
+	insinto /usr/share/zsh/site-functions
+	newins ${PN}.zshcomp _${PN}
+}
+
+pkg_postinst() {
+	optfeature "chart generation" dev-python/pygal
+	optfeature "hyphenation support" dev-python/pyphen
+	optfeature "notebook compilation and LESS support" dev-python/ipython
+	optfeature "alternative templating engine to Mako" dev-python/jinja
+	optfeature "built-in web server support" dev-python/aiohttp
+	optfeature "monitoring file system events" dev-python/watchdog
+	optfeature "extracting metadata from web media links" dev-python/micawber
+}


             reply	other threads:[~2023-03-29 18:38 UTC|newest]

Thread overview: 63+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-03-29 18:38 Ulrich Müller [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-04-14 18:42 [gentoo-commits] repo/gentoo:master commit in: www-apps/nikola/ Arthur Zamarin
2024-04-14 17:02 Ulrich Müller
2024-04-14 17:02 Ulrich Müller
2024-02-08  8:23 Ulrich Müller
2024-02-08  8:15 Ulrich Müller
2023-11-05 14:18 Sebastian Pipping
2023-11-05  3:02 Ulrich Müller
2023-11-05  3:02 Ulrich Müller
2023-07-31  2:02 Sam James
2023-03-29 20:08 Sam James
2023-03-29 18:38 Ulrich Müller
2023-02-26 10:20 Ulrich Müller
2023-02-25 18:07 Ulrich Müller
2023-02-25 15:12 Ulrich Müller
2023-02-25 14:26 Sam James
2023-02-25 12:55 Ulrich Müller
2022-07-22 12:36 Ulrich Müller
2022-06-23  9:45 Ulrich Müller
2022-06-22 15:54 Ulrich Müller
2022-06-22 15:42 Ulrich Müller
2022-06-22 13:22 Agostino Sarubbo
2022-06-05  9:48 Ulrich Müller
2022-05-31 18:49 Ulrich Müller
2022-05-15  9:10 Ulrich Müller
2022-03-28  9:17 Jakov Smolić
2021-05-18 21:27 Thomas Deutschmann
2021-02-21 23:43 Thomas Deutschmann
2021-02-15 15:14 Thomas Deutschmann
2021-01-01  0:59 Michał Górny
2020-11-18 17:23 Thomas Deutschmann
2020-08-22 19:36 Thomas Deutschmann
2020-08-22 19:16 Thomas Deutschmann
2020-08-22 19:16 Thomas Deutschmann
2020-08-22 18:12 Thomas Deutschmann
2020-08-22 18:12 Thomas Deutschmann
2020-07-06 23:22 Thomas Deutschmann
2020-06-30 11:19 Thomas Deutschmann
2020-06-29 15:04 Thomas Deutschmann
2020-03-17  8:08 Michał Górny
2020-03-07 20:37 Thomas Deutschmann
2020-02-29 22:43 Sebastian Pipping
2020-02-07 21:30 Sebastian Pipping
2019-12-04 17:15 Michał Górny
2019-12-04 17:15 Michał Górny
2018-08-15 14:11 Sebastian Pipping
2018-06-24 12:50 Jason Zaman
2018-05-05 19:34 Sebastian Pipping
2018-04-01 22:54 Sebastian Pipping
2018-03-31 15:44 Sebastian Pipping
2018-03-21 14:07 Sebastian Pipping
2018-03-17 19:43 Sebastian Pipping
2018-03-09 23:43 Sebastian Pipping
2017-10-12 17:16 Tim Harder
2017-09-24 11:00 Michael Palimaka
2017-09-24 11:00 Michael Palimaka
2017-09-24 11:00 Michael Palimaka
2017-07-30  9:23 Michał Górny
2017-07-11  7:56 Patrice Clement
2017-06-20 12:37 Pacho Ramos
2017-06-14 14:33 Sebastian Pipping
2016-10-02 13:00 Patrice Clement
2015-08-12  7:11 Ben de Groot

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1680115104.0647246077c3d39a0036fad725f76c47e8f167ff.ulm@gentoo \
    --to=ulm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox